Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZXMLInputHandler Class Referenceabstract

The class eZXMLInputHandler does. More...

Inheritance diagram for eZXMLInputHandler:

## Public Member Functions
| __construct ( $xmlData, $aliasedType, $contentObjectAttribute)
| attributes ()
| hasAttribute ( $name)
| attribute ( $name)
| editTemplateName ()
| informationTemplateName ()
| customObjectAttributeHTTPAction ( $http, $action, $contentObjectAttribute)
| isValid ()
| editTemplateSuffix (&$contentobjectAttribute)
| informationTemplateSuffix (&$contentobjectAttribute)
| xmlData ()
| validateInput ( $http, $base, $contentObjectAttribute)
| convertInput ( $text)
| inputXML ()

## Public Attributes
| $XMLData
| $AliasedType
| $AliasedHandler
| $ContentObjectAttribute

## Detailed Description

The class eZXMLInputHandler does.

Definition at line 18 of file ezxmlinputhandler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZXMLInputHandler::__construct | ( |  | $xmlData,
|  |  | $aliasedType,
|  |  | $contentObjectAttribute
| ) |  |

Constructor

Parameters

  string | $xmlData |
  string | $aliasedType |
  eZContentObjectAttribute | $contentObjectAttribute |

Reimplemented in eZSimplifiedXMLInput.

Definition at line 27 of file ezxmlinputhandler.php.

References eZDebug\writeWarning().

## Member Function Documentation

## ◆ attribute()

eZXMLInputHandler::attribute | ( |  | $name | ) |

Returns
  the value of the attribute $name if it exists, if not returns `null`.

Definition at line 63 of file ezxmlinputhandler.php.

References $AliasedHandler, $AliasedType, editTemplateName(), informationTemplateName(), eZXMLText\inputHandler(), inputXML(), eZDebug\writeError(), and eZDebug\writeWarning().

## ◆ attributes()

eZXMLInputHandler::attributes | ( |  | ) |

Returns
  an array with attribute names.

Definition at line 43 of file ezxmlinputhandler.php.

Referenced by hasAttribute().

## ◆ convertInput()

eZXMLInputHandler::convertInput | ( |  | $text | ) |
| pure virtual

Converts text input $text into an XML structure and returns it.

Returns
  an array where index 0 is the xml structure and index 1 is a message.

Definition at line 190 of file ezxmlinputhandler.php.

## ◆ customObjectAttributeHTTPAction()

eZXMLInputHandler::customObjectAttributeHTTPAction | ( |  | $http,
|  |  | $action,
|  |  | $contentObjectAttribute
| ) |  |
| pure virtual

Handles custom actions for input handler.

Note
  Default does nothing, reimplement to check actions.

Definition at line 136 of file ezxmlinputhandler.php.

## ◆ editTemplateName()

eZXMLInputHandler::editTemplateName | ( |  | ) |

Returns
  the template name for this input handler, includes the edit suffix if any.

Definition at line 106 of file ezxmlinputhandler.php.

References editTemplateSuffix().

Referenced by attribute().

## ◆ editTemplateSuffix()

eZXMLInputHandler::editTemplateSuffix | ( | & | $contentobjectAttribute | ) |
| pure virtual

Returns
  the suffix for the attribute template, if false it is ignored.

Definition at line 154 of file ezxmlinputhandler.php.

Referenced by editTemplateName().

## ◆ hasAttribute()

eZXMLInputHandler::hasAttribute | ( |  | $name | ) |

Returns
  true if the attribute $name exists.

Definition at line 55 of file ezxmlinputhandler.php.

References attributes().

## ◆ informationTemplateName()

eZXMLInputHandler::informationTemplateName | ( |  | ) |

Returns
  the template name for this input handler, includes the information suffix if any.

Definition at line 120 of file ezxmlinputhandler.php.

References informationTemplateSuffix().

Referenced by attribute().

## ◆ informationTemplateSuffix()

eZXMLInputHandler::informationTemplateSuffix | ( | & | $contentobjectAttribute | ) |
| pure virtual

Returns
  the suffix for the attribute template, if false it is ignored.

Definition at line 163 of file ezxmlinputhandler.php.

Referenced by informationTemplateName().

## ◆ inputXML()

eZXMLInputHandler::inputXML | ( |  | ) |
| pure virtual

Returns the text representation of the XML structure, implement this to turn XML back into user input.

Implemented in eZSimplifiedXMLInput.

Definition at line 200 of file ezxmlinputhandler.php.

Referenced by attribute().

## ◆ isValid()

eZXMLInputHandler::isValid | ( |  | ) |

\virtual

Returns
  true if the input handler is considered valid, if not the handler will not be used.

Note
  Default returns true

Definition at line 145 of file ezxmlinputhandler.php.

## ◆ validateInput()

eZXMLInputHandler::validateInput | ( |  | $http,
|  |  | $base,
|  |  | $contentObjectAttribute
| ) |  |
| pure virtual

Validates user input and returns whether it can be used or not.

Implemented in eZSimplifiedXMLInput.

Definition at line 180 of file ezxmlinputhandler.php.

References eZInputValidator\STATE_INVALID.

## ◆ xmlData()

eZXMLInputHandler::xmlData | ( |  | ) |

Returns
  the xml data as text.

Definition at line 171 of file ezxmlinputhandler.php.

References $XMLData.

## Member Data Documentation

## ◆ $AliasedHandler

eZXMLInputHandler::$AliasedHandler

Definition at line 209 of file ezxmlinputhandler.php.

Referenced by attribute().

## ◆ $AliasedType

eZXMLInputHandler::$AliasedType

Definition at line 208 of file ezxmlinputhandler.php.

Referenced by attribute().

## ◆ $ContentObjectAttribute

eZXMLInputHandler::$ContentObjectAttribute

Definition at line 210 of file ezxmlinputhandler.php.

Referenced by eZSimplifiedXMLInput\inputXML().

## ◆ $XMLData

eZXMLInputHandler::$XMLData

Contains the XML data as text

Definition at line 207 of file ezxmlinputhandler.php.

Referenced by xmlData().

The documentation for this class was generated from the following file:

- ezxmlinputhandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.